Cant install gem on cloud66

Asked by At

So I have an issue with cloud66 when deploying to my server, It states it cannot find gem babel-source

I've looked on rubygems and it hasn't been yanked, It installs fine locally. However when running it on cloud66 i get this error

Could not find babel-source-5.8.35 in any of the sources
Is the gem babel-source-5.8.35 available? Check if it has been yanked from your gem source (most likely RubyGems)

I need this gem for Active-admin I believe.

Any ideas on how to fix this would be amazing!

Edit: Gemfile

source 'https://rubygems.org'
ruby '2.5.1'

# gem 'babel-source', '~> 5.8.35'

# Standard Rails gems
gem 'rails'
gem 'sass-rails'
gem 'uglifier'
gem 'coffee-rails'
gem 'jquery-rails'
gem 'turbolinks'
gem 'jbuilder'
gem 'bcrypt'
gem 'simple_form'
gem 'bootstrap4-datetime-picker-rails'
gem 'momentjs-rails'
gem 'httparty'
gem 'activerecord-import'
gem 'dynamic_selectable'
gem 'fuzzy-string-match'
#Nested Forms
gem 'cocoon'
gem "puma"

gem 'spawnling', '~>2.1'

#Image Uploader
gem "mini_magick"
gem "fog-aws"
gem 'carrierwave', '~> 1.0'
gem 'aws-sdk-rails'
gem 'figaro'
# Necessary for Windows OS (won't install on *nix systems)
gem 'tzinfo-data', platforms: [:mingw, :mswin]

# Kaminari: https://github.com/amatsuda/kaminari
gem 'kaminari'

# Friendly_id: https://github.com/norman/friendly_id
gem 'friendly_id'

# Font-awesome: https://github.com/FortAwesome/font-awesome-sass
gem 'font-awesome-sass'

# Bootstrap 3: https://github.com/twbs/bootstrap-sass
gem 'bootstrap', '~> 4.3.1'

group :development, :test do
  gem 'byebug'
  gem 'web-console'

  # Spring: https://github.com/rails/spring
  gem 'spring'

  # Annotate_Models: https://github.com/ctran/annotate_models
  gem 'annotate'
end


# PostgreSQL
gem 'pg'
gem 'watir'
gem 'open_uri_redirections'
gem 'mechanize'

# Devise: https://github.com/plataformatec/devise
gem 'devise'
gem 'chart-js-rails'
gem 'tinymce-rails'
gem 'autoprefixer-rails'
gem 'impressionist'
gem 'arctic_admin'
gem 'activeadmin', '~> 2.0.0'

Sam

0 Answers